## ros-melodic-ur-msgs 1.3.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(ur_msgs)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS geometry_msgs message_generation std_msgs)


## Generate messages in the 'msg' folder
add_message_files(
   FILES
   Analog.msg
   Digital.msg
   IOStates.msg
   RobotStateRTMsg.msg
   MasterboardDataMsg.msg
   RobotModeDataMsg.msg
   ToolDataMsg.msg
)

## Generate services in the 'srv' folder
add_service_files(
   FILES
   SetPayload.srv
   SetSpeedSliderFraction.srv
   SetIO.srv
)


## Generate added messages and services with any dependencies listed here
generate_messages(
   DEPENDENCIES
   geometry_msgs
   std_msgs
)

###################################
## catkin specific configuration ##
###################################
catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES ur_msgs
   CATKIN_DEPENDS geometry_msgs message_runtime std_msgs
#  DEPENDS system_lib
)

###########
## Build ##
###########

#############
## Install ##
#############

#############
## Testing ##
#############

=== debian/changelog ===
ros-melodic-ur-msgs (1.3.2-1stretch) stretch; urgency=high

  * Fix domain constants in ``Analog.msg`` (#8 <https://github.com/ros-industrial/ur_msgs/issues/8>)
  * Contributors: Gaël Écorchard

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Sun, 11 Oct 2020 22:00:00 -0000

ros-melodic-ur-msgs (1.3.1-1stretch) stretch; urgency=high

  * Change ``payload`` field name to ``mass`` (#5 <https://github.com/ros-industrial/ur_msgs/issues/5>)
  * Added ``center_of_gravity`` field to ``SetPayload`` service (#2 <https://github.com/ros-industrial/ur_msgs/issues/2>)
  * Mark package as architecture independent (#1 <https://github.com/ros-industrial/ur_msgs/issues/1>)
  * Contributors: Felix Exner, gavanderhoorn

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Tue, 23 Jun 2020 22:00:00 -0000

ros-melodic-ur-msgs (1.3.0-1stretch) stretch; urgency=high

  * First release of this package from its new repository.
  * Contributors: gavanderhoorn

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Sun, 21 Jun 2020 22:00:00 -0000

ros-melodic-ur-msgs (1.2.7-1stretch) stretch; urgency=high



 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Fri, 22 Nov 2019 23:00:00 -0000

ros-melodic-ur-msgs (1.2.6-1stretch) stretch; urgency=high

  * Added a service to set the speed slider position (#454 <https://github.com/ros-industrial/universal_robot/issues/454>)
  * Added a domain field to Analog.msg (#450 <https://github.com/ros-industrial/universal_robot/issues/450>)
  * Migrated all package.xml files to format=2 (#439 <https://github.com/ros-industrial/universal_robot/issues/439>)
  * Contributors: Felix Mauch

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Mon, 18 Nov 2019 23:00:00 -0000

ros-melodic-ur-msgs (1.2.5-1stretch) stretch; urgency=high

  * Correct width and type of 'digital_*_bits'. (#416 <https://github.com/ros-industrial/universal_robot/issues/416>)
  * Clarify use of fields in SetIO svc. (#415 <https://github.com/ros-industrial/universal_robot/issues/415>)
  * Update maintainer listing: add Miguel (#410 <https://github.com/ros-industrial/universal_robot/issues/410>)
  * Add RobotModeDataMsg (#395 <https://github.com/ros-industrial/universal_robot/issues/395>)
  * Update maintainer and author information.
  * Contributors: Felix von Drigalski, gavanderhoorn

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Thu, 04 Apr 2019 22:00:00 -0000

ros-melodic-ur-msgs (1.2.1-1stretch) stretch; urgency=high



 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Fri, 05 Jan 2018 23:00:00 -0000

ros-melodic-ur-msgs (1.2.0-1stretch) stretch; urgency=high



 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Thu, 03 Aug 2017 22:00:00 -0000

ros-melodic-ur-msgs (1.1.9-1stretch) stretch; urgency=high

  * No changes.

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Sun, 01 Jan 2017 23:00:00 -0000

ros-melodic-ur-msgs (1.1.8-1stretch) stretch; urgency=high

  * all: update maintainers.
  * Contributors: gavanderhoorn

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Thu, 29 Dec 2016 23:00:00 -0000

ros-melodic-ur-msgs (1.1.7-1stretch) stretch; urgency=high

  * Add message definition for ToolData.
  * Contributors: Nikolas Engelhard

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Wed, 28 Dec 2016 23:00:00 -0000

ros-melodic-ur-msgs (1.1.6-1stretch) stretch; urgency=high

  * Moved SetIO FUN constants from driver.py to relevant srv file for easier interaction from other files
  * catkin_lint
  * Contributors: Thomas Timm Andersen, ipa-fxm

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Thu, 31 Mar 2016 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-ur-msgs
Section: misc
Priority: optional
Maintainer: G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-ur-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-geometry-msgs, ros-melodic-message-runtime, ros-melodic-std-msgs
Description: Message and service definitions for interacting with Universal Robots robot controllers.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-ur-msgs//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-ur-msgs 1.3.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 project(ur_msgs)
 
 ## Find catkin macros and libraries

=== debian/changelog ===
ros-melodic-ur-msgs (1.3.4-1bionic) bionic; urgency=high

  * Bump CMake version to ignore warning
  * Contributors: gavanderhoorn

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Mon, 24 May 2021 22:00:00 -0000

ros-melodic-ur-msgs (1.3.3-1bionic) bionic; urgency=high

  * Migrate to Github Actions
  * Fix SetPayload srv separater invalid (#10 <https://github.com/ros-industrial/ur_msgs/issues/10>)
  * Contributors: Chen Bainian, gavanderhoorn

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Mon, 24 May 2021 22:00:00 -0000

ros-melodic-ur-msgs (1.3.2-1bionic) bionic; urgency=high

  * Fix domain constants in ``Analog.msg`` (#8 <https://github.com/ros-industrial/ur_msgs/issues/8>)
  * Contributors: Gaël Écorchard

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Sun, 11 Oct 2020 22:00:00 -0000

ros-melodic-ur-msgs (1.3.1-1bionic) bionic; urgency=high

  * Change ``payload`` field name to ``mass`` (#5 <https://github.com/ros-industrial/ur_msgs/issues/5>)
  * Added ``center_of_gravity`` field to ``SetPayload`` service (#2 <https://github.com/ros-industrial/ur_msgs/issues/2>)
  * Mark package as architecture independent (#1 <https://github.com/ros-industrial/ur_msgs/issues/1>)
  * Contributors: Felix Exner, gavanderhoorn

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Tue, 23 Jun 2020 22:00:00 -0000

ros-melodic-ur-msgs (1.3.0-1bionic) bionic; urgency=high

  * First release of this package from its new repository.
  * Contributors: gavanderhoorn

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Sun, 21 Jun 2020 22:00:00 -0000

ros-melodic-ur-msgs (1.2.7-1bionic) bionic; urgency=high



 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Fri, 22 Nov 2019 23:00:00 -0000

ros-melodic-ur-msgs (1.2.6-1bionic) bionic; urgency=high

  * Added a service to set the speed slider position (#454 <https://github.com/ros-industrial/universal_robot/issues/454>)
  * Added a domain field to Analog.msg (#450 <https://github.com/ros-industrial/universal_robot/issues/450>)
  * Migrated all package.xml files to format=2 (#439 <https://github.com/ros-industrial/universal_robot/issues/439>)
  * Contributors: Felix Mauch

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Mon, 18 Nov 2019 23:00:00 -0000

ros-melodic-ur-msgs (1.2.5-1bionic) bionic; urgency=high

  * Correct width and type of 'digital_*_bits'. (#416 <https://github.com/ros-industrial/universal_robot/issues/416>)
  * Clarify use of fields in SetIO svc. (#415 <https://github.com/ros-industrial/universal_robot/issues/415>)
  * Update maintainer listing: add Miguel (#410 <https://github.com/ros-industrial/universal_robot/issues/410>)
  * Add RobotModeDataMsg (#395 <https://github.com/ros-industrial/universal_robot/issues/395>)
  * Update maintainer and author information.
  * Contributors: Felix von Drigalski, gavanderhoorn

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Thu, 04 Apr 2019 22:00:00 -0000

ros-melodic-ur-msgs (1.2.1-1bionic) bionic; urgency=high



 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Fri, 05 Jan 2018 23:00:00 -0000

ros-melodic-ur-msgs (1.2.0-1bionic) bionic; urgency=high



 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Thu, 03 Aug 2017 22:00:00 -0000

ros-melodic-ur-msgs (1.1.9-1bionic) bionic; urgency=high

  * No changes.

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Sun, 01 Jan 2017 23:00:00 -0000

ros-melodic-ur-msgs (1.1.8-1bionic) bionic; urgency=high

  * all: update maintainers.
  * Contributors: gavanderhoorn

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Thu, 29 Dec 2016 23:00:00 -0000

ros-melodic-ur-msgs (1.1.7-1bionic) bionic; urgency=high

  * Add message definition for ToolData.
  * Contributors: Nikolas Engelhard

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Wed, 28 Dec 2016 23:00:00 -0000

ros-melodic-ur-msgs (1.1.6-1bionic) bionic; urgency=high

  * Moved SetIO FUN constants from driver.py to relevant srv file for easier interaction from other files
  * catkin_lint
  * Contributors: Thomas Timm Andersen, ipa-fxm

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Thu, 31 Mar 2016 22:00:00 -0000
